### Method

# Phosh LayerSurface set_margins

#### Declaration [src]

    void
    phosh_layer_surface_set_margins (
      PhoshLayerSurface* self,
      int top,
      int right,
      int bottom,
      int left
    )

#### Description [src]

Set anchor margins of a layer surface.

#### Parameters

`top`

  Type: `int`

  The top margin in pixels.

`right`

  Type: `int`

  The right margin in pixels.

`bottom`

  Type: `int`

  The bottom margin in pixels.

`left`

  Type: `int`

  The left margin in pixels.